<?php
    
	if(!$dprotect) die ('Access Denied!');
	
	if($_POST['action'] == 'save' && $core->updateConfig()) {
		$_SESSION['msg']['title'] = 'The configuration has been saved.';
                header('Location: '.$config['url'].'admin/config');
                exit();
	} elseif(!$_POST['action']) {
                $config['pass'] = '';
		foreach($config as $k => $v) { $_POST[$k] = $v; }
	}
	
?>